%define upstream_name    FFI-CheckLib
%define upstream_version 0.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check that a library is available for FFI
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/FFI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test2::API) >= 1.302.15
BuildRequires: perl(Test2::Require::EnvVar) >= 0.0.60
BuildRequires: perl(Test2::Require::Module) >= 0.0.60
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildArch:  noarch

%description
This module checks whether a particular dynamic library is available for
FFI to use. It is modeled heavily on the Devel::CheckLib manpage, but will
find dynamic libraries even when development packages are not installed. It
also provides a FFI::CheckLib#find_lib function that will return the full
path to the found dynamic library, which can be feed directly into the
FFI::Platypus manpage or the FFI::Raw manpage.

Although intended mainly for FFI modules via the FFI::Platypus manpage and
similar, this module does not actually use any FFI to do its detection and
probing. This modules does not have any non-core dependencies on Perls
5.8-5.18. On Perl 5.20 and newer it has a configure, build and test
dependency on the Module::Build manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue May 12 2020 tv <tv> 0.270.0-1.mga8
+ Revision: 1583284
- update to 0.27

* Wed Feb 19 2020 umeabot <umeabot> 0.260.0-2.mga8
+ Revision: 1543901
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 tv <tv> 0.260.0-1.mga8
+ Revision: 1482268
- update to 0.26
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Jun 29 2019 shlomif <shlomif> 0.250.0-1.mga8
+ Revision: 1415578
- update to 0.25

* Mon Nov 19 2018 tv <tv> 0.230.0-1.mga7
+ Revision: 1331629
- update to 0.23

* Sun Oct 14 2018 tv <tv> 0.220.0-1.mga7
+ Revision: 1320231
- update to 0.22

* Thu Sep 20 2018 umeabot <umeabot> 0.200.0-2.mga7
+ Revision: 1283655
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 tv <tv> 0.200.0-1.mga7
+ Revision: 1235126
- update to 0.20

* Thu May 31 2018 tv <tv> 0.190.0-1.mga7
+ Revision: 1233246
- update to 0.19

* Fri Oct 27 2017 tv <tv> 0.180.0-1.mga7
+ Revision: 1173989
- update to 0.18

* Mon Oct 02 2017 tv <tv> 0.160.0-2.mga7
+ Revision: 1164315
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.160.0-1.mga7
+ Revision: 1159611
- update to 0.16

* Sun May 08 2016 shlomif <shlomif> 0.150.0-1.mga6
+ Revision: 1010666
- update to 0.15

* Mon Jan 25 2016 shlomif <shlomif> 0.140.0-1.mga6
+ Revision: 927444
- imported package perl-FFI-CheckLib

